<?php

declare(strict_types=1);

namespace Gls\GlsPoland\AdePlus\Type;

final class CValue
{
    /**
     * @var string
     */
    private $value;

    public function getValue(): string
    {
        return $this->value;
    }

    public function withValue(string $value): CValue
    {
        $new = clone $this;
        $new->value = $value;

        return $new;
    }
}
